메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
workspaces
/
{workspaceGuid}
/
wiki
/
graph
/
seed
Get Wiki Graph Seed
curl --request GET \
  --url https://api.tiro.ooo/v1/external/workspaces/{workspaceGuid}/wiki/graph/seed \
  --header 'Authorization: Bearer <token>'
{
  "nodes": [
    {
      "guid": "page_abc123",
      "canonicalName": "Alice Kim",
      "pageType": "ENTITY",
      "extractionStatus": "EXTRACTED",
      "mentionCountVisible": 5,
      "entitySubtype": "PERSON"
    }
  ],
  "edges": [
    {
      "guid": "link_abc123",
      "sourcePageGuid": "page_src_123",
      "targetPageGuid": "page_tgt_456",
      "linkType": "works_at",
      "linkTypeDisplayKo": "근무처",
      "linkTypeDisplayEn": "Works At",
      "isDirectional": true
    }
  ]
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

경로 매개변수

workspaceGuid
string
필수

Workspace GUID

쿼리 매개변수

type
string

Filter by page type (ENTITY, MENTION, CUSTOM, etc.)

since
string<date-time>

ISO 8601 datetime — include only pages updated on or after this time

q
string

Optional search keyword to filter the seed

limit
integer
기본값:200

Maximum nodes to return (default 200, max 200)

필수 범위: 1 <= x <= 200

응답

Wiki graph with nodes and edges

nodes
object[]
필수

List of wiki page nodes

edges
object[]
필수

List of links between nodes